using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace InteractiveKiosk.Attractions
{
    /// <summary>
    /// Interaction logic for Nlo.xaml
    /// </summary>
    public partial class Nlo : Window
    {
        InteractiveKioskEntities db = new InteractiveKioskEntities();
        public Nlo()
        {
            InitializeComponent();

            string Nlo = "НЛО";
            var SelectedKamikadze = db.Attractions.SingleOrDefault(a => a.AttractionName == Nlo);
            DescriptionNlo.Text = SelectedKamikadze.DescriptionOfTheAttraction;
            string Nlo1 = "НЛО";
            var SelectedNlo1 = db.Attractions.SingleOrDefault(a => a.AttractionName == Nlo1);
            Rules.Text = Convert.ToString(SelectedNlo1.RulesOfAttraction);
            string Nlo2 = "НЛО";
            var SelectedNlo2 = db.Attractions.SingleOrDefault(a => a.AttractionName == Nlo2);
            PriceNlo.Text = Convert.ToString(SelectedNlo2.AttractionCost);
        }

        private void ExitButton_MouseDown(object sender, MouseButtonEventArgs e)
        {
            this.Close();
        }

        private void MinButton_MouseDown(object sender, MouseButtonEventArgs e)
        {
            this.WindowState = WindowState.Minimized;
        }

        private void BackButton_MouseDown(object sender, MouseButtonEventArgs e)
        {
            AttractionsWindow aw = new AttractionsWindow();
            aw.Show();
            this.Close();
        }

    }
}
